发布时间 :2001-07-24 00:00:00
修订时间 :2008-09-05 16:25:25

[原文]sendmsg function in NetBSD 1.3 through 1.5 allows local users to cause a denial of service (kernel trap or panic) via a msghdr structure with a large msg_controllen length.

[CNNVD]NetBSD sendmsg拒绝服务漏洞(CNNVD-200107-171)

        NetBSD 1.3到1.5版本的sendmsg函数存在漏洞。本地用户可以借助带有msg_controllen长度的msghdr结构导致服务拒绝(内核陷阱或严重异常)。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:netbsd:netbsd:1.3.3NetBSD 1.3.3
cpe:/o:netbsd:netbsd:1.4.1NetBSD 1.4.1
cpe:/o:netbsd:netbsd:1.3.1NetBSD 1.3.1
cpe:/o:netbsd:netbsd:1.5NetBSD 1.5
cpe:/o:netbsd:netbsd:1.4.3NetBSD 1.4.3
cpe:/o:netbsd:netbsd:1.3.2NetBSD 1.3.2
cpe:/o:netbsd:netbsd:1.3NetBSD 1.3
cpe:/o:netbsd:netbsd:1.4NetBSD 1.4
cpe:/o:netbsd:netbsd:1.4.2NetBSD 1.4.2

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(VENDOR_ADVISORY)  XF  bsd-kernel-sendmsg-dos(6908)

- 漏洞信息

NetBSD sendmsg拒绝服务漏洞
低危 未知
2001-07-24 00:00:00 2005-05-02 00:00:00
        NetBSD 1.3到1.5版本的sendmsg函数存在漏洞。本地用户可以借助带有msg_controllen长度的msghdr结构导致服务拒绝(内核陷阱或严重异常)。

- 公告与补丁


- 漏洞信息

NetBSD sendmsg msg_controllen DoS
Local Access Required Denial of Service, Input Manipulation
Loss of Availability
Exploit Unknown

- 漏洞描述

NetBSD contains a flaw that may allow a local denial of service. The issue is triggered when a malicious user sets the msg_controllen variable of the msghdr struct in the sendmsg function to a value that exceeds bounds, which will cause a page fault trap or kernel panic, and will result in loss of availability for the platform.

- 时间线

2001-07-01 Unknow
Unknow 2001-07-01

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, NetBSD has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者